Lightroom 4: Can't update this collection: Semi Colon Expected [OLD]

  • 5
  • Problem
  • Updated 3 years ago
  • (Edited)
[See this more recent thread: https://feedback.photoshop.com/photoshop_family/topics/cant-update-this-collection-semi-colon-expect...]

LR4 RC2: Can't update this collection. An internal error has occurred: A semi colon character was expected.
I get this when attempting to publish to Flickr. I was able to publish (only tried once) from RC1, but can't with RC2. 
Photo of Jim Orcheson

Jim Orcheson

  • 2 Posts
  • 0 Reply Likes
  • frustrated

Posted 7 years ago

  • 5
Photo of Jim Orcheson

Jim Orcheson

  • 2 Posts
  • 0 Reply Likes
Further to this problem, I uninstalled RC2 and installed RC1. I am able to upload pictures to Flickr, so it seems the problem is limited to RC2.
Photo of Peter McClintock

Peter McClintock

  • 18 Posts
  • 4 Reply Likes
I also have the same problem with RC2. Do I have to reinstall RC1?
Photo of Peter McClintock

Peter McClintock

  • 18 Posts
  • 4 Reply Likes
I also uninstalled RC2 and that has solved the problem.
Photo of Jadan Duffin

Jadan Duffin

  • 3 Posts
  • 0 Reply Likes
The issue we have all been experiencing with LR 4 RC2 seems to still be in the release of 4.1

When I try to publish a photo to my flickr photostream I get the following error:

Can't update this collection.
And internal error has occurred: A semi colon character was expected.

I find this to be ridiculous. We let the powers that be know of this issue and still nothing seems to have been done. I guess I have to return to the RC1 release just to get my photos uploaded and retain my usability with comments? Does anyone know of a real solution to this (and no i do not have any carriage returns)?

Can someone from Adobe please address this issue and at least let us know when it might be addressed? I know these things take time, but its pretty sad I haven't seen anything from the developers on any forum.

system:

WIN7x64

This reply was created from a merged topic originally titled
Can't Publish to Flickr in LR 4.1, A semi colon character was expected.
Photo of jdv

jdv, Champion

  • 728 Posts
  • 56 Reply Likes
I assume you are using the shipped Flickr plug-in?

Perhaps I'm being unkind, but the service plug-ins that ship with Lr appear to be demos at best. Just use Friedl's Flickr plug-in. Basically, more functionality with constant updates at nearly the same cost.
Photo of Jadan Duffin

Jadan Duffin

  • 3 Posts
  • 0 Reply Likes
I'll definitely look into that plugin, but that shouldn't be the solution. I paid good money for a product that claims one thing, but doesn't follow through. The built in plugin does what I need it to do- upload my photos to my flickr page and keep the comments attached, that is, when it works... I hope that this can be looked into. Adobe, you listening?
Photo of Peter McClintock

Peter McClintock

  • 18 Posts
  • 4 Reply Likes
Hi Jadan,

It seems to me that there have been changes of behaviour between 4.0, 4.1RC1, 4.1RC2 and 4.1.

4.1RC2 broke the Flickr connection for me and I had to create and reauthorise a new flickr publish connection. This worked successfully for a while until RC2 was released. Then I could no longer publish to flickr but as I was unwilling to establish a new publish service again, I went back to RC1.

When 4.1 was released I had to reauthorise the flickr service to get it to work, but having done this, it was fine, apart from having to eliminate returns from the captions etc.

My advice is: If you had a working RC1 flickr service you should reauthorise it and hopefully, if there are no returns or other offending characters in your captions, you should be fine. If you last published with 4.0, then you should create a new flickr publish stream, authorise it, and again you should be fine.

This worked for me and I hope it works for you.

Peter
Photo of Jadan Duffin

Jadan Duffin

  • 3 Posts
  • 0 Reply Likes
Hey john, thanks for the suggestion. I'm giving it a try now. So far it does what I need it to and its importing the comments! So for now, I guess this is the solution, until Adobe figures out their own plugin. Still sucks that I have to use a third party plugin...
Photo of Vladimir Sanchez

Vladimir Sanchez

  • 2 Posts
  • 0 Reply Likes
This reply was created from a merged topic originally titled
trying to publish to Flickr: An internal error has occurred: A semi colon character was expected..


Lightroom 5.2, on Win 7 64 bits. I dragged pictures into a collection for Flickr that I have used several times before, it works, it uploads the pictures to Flickr, no problem. Now I am getting this error every time I try to Publish to Flickr: "Can't Update this collection. An internal error has occurred: A semi colon character was expected."
I retried, and it went through, but sometimes I have to try 3 or 4 times before it works. What can I do?

Regards,

Vlad
Photo of Jeffrey Tranberry

Jeffrey Tranberry, Sr. Product Manager, Digital Imaging

  • 14665 Posts
  • 1952 Reply Likes
Try this: Edit your Flickr publish service, click on the Remove Authorization button, and then try Authorize again with your Flickr login credential.

Let us know if that puts you back in a good state.
Photo of Richard Emery Richard Emery

Richard Emery Richard Emery

  • 3 Posts
  • 0 Reply Likes
nop.didn't work with LR4.4 64bit
Photo of John R. Ellis

John R. Ellis, Champion

  • 3903 Posts
  • 1037 Reply Likes